Skip to main content
GET
/
v1
/
payroll-connections
/
{payroll_connection}
/
employee-data
/
{employee_data}
Get employee data
curl --request GET \
  --url https://api.payrollintegrationsapp.com/v1/payroll-connections/{payroll_connection}/employee-data/{employee_data}
{
  "id": "11111111-1111-1111-1111-111111111111",
  "employeeProfiles": [
    {
      "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa"
    }
  ],
  "employeeSummary": {
    "addresses": [
      {
        "address1": "123 Main St",
        "address2": "Apt 4B",
        "city": "San Francisco",
        "countryCode": "US",
        "state": "CA",
        "zip": "94102"
      }
    ],
    "adjustedServiceDate": null,
    "contact": {
      "emailPersonal": null,
      "emailWork": "john.doe@example.com",
      "phoneNumberPersonal": null,
      "phoneNumberPersonalHome": null,
      "phoneNumberPersonalMobile": "+11235550123",
      "phoneNumberWork": null,
      "phoneNumberWorkHome": null,
      "phoneNumberWorkMobile": null
    },
    "dateOfBirth": "1985-06-15",
    "employmentStatus": "A",
    "employmentType": "F",
    "firstName": "John",
    "hireDate": "2020-03-15",
    "isContractor": false,
    "lastName": "Doe",
    "leaveEndDate": null,
    "leaveStartDate": null,
    "maritalStatus": "M",
    "middleName": "Robert",
    "payFrequency": "BI_WEEKLY",
    "payRates": [
      {
        "amount": "75000.00",
        "default": true,
        "type": "ANNUAL"
      }
    ],
    "payrollConnectionId": "880e8400-e29b-41d4-a716-446655440003",
    "payrollPlatformDisplayIdentifier": "EMP-12345",
    "payrollPlatformEmployeeIdentifier": "PPL-98765",
    "payType": "S",
    "rehireDate": null,
    "seniorityDate": "2020-03-15",
    "sex": "M",
    "ssn": "123-45-6789",
    "terminationDate": null
  },
  "updatedAt": "2024-03-15T14:30:00Z"
}
The employeeSummary field will be null when an employee has multiple profiles. In that case, query the individual profiles using the employeeProfiles array to retrieve the full employee data for each profile.

Path Parameters

payroll_connection
string<uuid>
required
employee_data
string<uuid>
required

Response

Employee details

id
string<uuid>
required

Payroll Integrations employee specific uuid

employeeProfiles
object[]
required
updatedAt
string<date-time>
required

ISO 8601 timestamp when the employee data was updated

employeeSummary
object | null

Summary of the employee's data. Populated when there is a single profile, null when there are multiple profiles.